=== doc/examples/ncurses-dev/Makefile ===
# Generated automatically from Makefile.in by configure.
# Makefile for ncurses tests.

SHELL		= /bin/sh

srcdir		= .
prefix		= /usr
exec_prefix	= ${prefix}
libdir		= $(exec_prefix)/lib
includedir	= /usr/include

CC		= gcc
CFLAGS		= -O -W -Wall -Winline -Wshadow -Wstrict-prototypes -Wmissing-prototypes -Wbad-function-cast -Wmissing-declarations
CPPFLAGS	=  -DNDEBUG -I. -I../include -I$(includedir) -DHAVE_CONFIG_H

CCFLAGS		= $(CFLAGS) $(CPPFLAGS)

LOCAL_LIBS	= ../lib/libform.so ../lib/libmenu.so ../lib/libpanel.so ../lib/libncurses.so

LINK		= $(CC)
LD_FLAGS	=  $(LOCAL_LIBS)  -lbsd  -Wl,-rpath,../lib $(LDFLAGS)

TESTS = \
	blue \
	bs \
	firework \
	gdc \
	hanoi \
	knight \
	lrtest \
	ncurses \
	newdemo \
	rain \
	tclock \
	testcurs \
	view \
	worm \
	xmas 

.c.o:
	$(CC) -c $(CCFLAGS) $<

all: $(TESTS) 

blue: $(srcdir)/blue.c
	 $(LINK) $(CCFLAGS) $(srcdir)/$@.c $(LD_FLAGS) -o $@
bs: $(srcdir)/bs.c
	 $(LINK) $(CCFLAGS) $(srcdir)/$@.c $(LD_FLAGS) -o $@
firework: $(srcdir)/firework.c
	 $(LINK) $(CCFLAGS) $(srcdir)/$@.c $(LD_FLAGS) -o $@
gdc: $(srcdir)/gdc.c
	 $(LINK) $(CCFLAGS) $(srcdir)/$@.c $(LD_FLAGS) -o $@
hanoi: $(srcdir)/hanoi.c
	 $(LINK) $(CCFLAGS) $(srcdir)/$@.c $(LD_FLAGS) -o $@
knight: $(srcdir)/knight.c
	 $(LINK) $(CCFLAGS) $(srcdir)/$@.c $(LD_FLAGS) -o $@
lrtest: $(srcdir)/lrtest.c
	 $(LINK) $(CCFLAGS) $(srcdir)/$@.c $(LD_FLAGS) -o $@
ncurses: $(srcdir)/ncurses.c
	 $(LINK) $(CCFLAGS) $(srcdir)/$@.c $(LD_FLAGS) -o $@
newdemo: $(srcdir)/newdemo.c
	 $(LINK) $(CCFLAGS) $(srcdir)/$@.c $(LD_FLAGS) -o $@
rain: $(srcdir)/rain.c
	 $(LINK) $(CCFLAGS) $(srcdir)/$@.c $(LD_FLAGS) -o $@
tclock: $(srcdir)/tclock.c
	 $(LINK) $(CCFLAGS) $(srcdir)/$@.c $(LD_FLAGS) -lm -o $@
testcurs: $(srcdir)/testcurs.c
	 $(LINK) $(CCFLAGS) $(srcdir)/$@.c $(LD_FLAGS) -o $@
view: $(srcdir)/view.c
	 $(LINK) $(CCFLAGS) $(srcdir)/$@.c $(LD_FLAGS) -o $@
worm: $(srcdir)/worm.c
	 $(LINK) $(CCFLAGS) $(srcdir)/$@.c $(LD_FLAGS) -o $@
xmas: $(srcdir)/xmas.c
	 $(LINK) $(CCFLAGS) $(srcdir)/$@.c $(LD_FLAGS) -o $@

install:

clean:
	-rm -rf *.o trace screendump t $(TESTS)

distclean: clean
	-rm -f Makefile config.*

mostlyclean: clean

realclean: distclean
