=== doc/examples/scotty/Makefile ===
# Generated automatically from Makefile.in by configure.

# Default top-level directories in which to install architecture-
# specific files (exec_prefix) and machine-independent files such
# as scripts (prefix).  The values specified here may be overridden
# at configure-time with the --exec-prefix and --prefix options
# to the "configure" script.

prefix =	/usr
exec_prefix =	${prefix}

# Directory in which to install the program scotty:
BIN_DIR =	$(exec_prefix)/bin

# Top-level directory for manual entries:
MAN_DIR =	$(prefix)/man

# Directory in which to install manual entry for user commands:
MAN1_DIR =	$(MAN_DIR)/man1

# Directory in which to install manual entry for admin commands:
MAN8_DIR =	$(MAN_DIR)/man8

# Some versions of make, like SGI's, use the following variable to
# determine which shell to use for executing commands:
SHELL =		/bin/sh

#----------------------------------------------------------------
# The information below is modified by the configure script when
# Makefile is generated from Makefile.in.  You shouldn't normally
# modify any of this stuff by hand.
#----------------------------------------------------------------

INSTALL =		/usr/bin/install -c
INSTALL_PROGRAM =	${INSTALL}
INSTALL_DATA =		${INSTALL} -m 644
SRC_DIR =		.

#----------------------------------------------------------------
# The information below should be usable as is.  The configure
# script won't modify it and you shouldn't need to modify it
# either.
#----------------------------------------------------------------

SRCS =	etherload nslook rpcprobe rstat traceroute yanny emok \
	tcpspeed udpspeed uiping logtrapd snmpwalk mibtree \
	discover ifload ifload2gif udploss
MAN1 =	etherload.1 nslook.1 rpcprobe.1 rstat.1 traceroute.1 emok.1 \
	tcpspeed.1 udpspeed.1 uiping.1 snmpwalk.1 mibtree.1 \
	discover.1 ifload.1 ifload2gif.1 udploss.1
MAN8 =	yanny.8 logtrapd.8

all:

install:
	for f in $(SRCS) ; do \
		$(INSTALL_PROGRAM) $(SRC_DIR)/$$f $(BIN_DIR); \
	done
	for f in $(MAN1) ; do \
		$(INSTALL_DATA) $(SRC_DIR)/$$f $(MAN1_DIR); \
	done
	for f in $(MAN8) ; do \
		$(INSTALL_DATA) $(SRC_DIR)/$$f $(MAN8_DIR); \
	done

clean:
	@rm -f core *~

distclean: clean
	@rm -f Makefile TAGS *.bak lmake.???
