=== src/elks/elksemu/Makefile ===
#
#	Makefile for elksemu.
#

# For gcc with the default compiler
# CFLAGS=-O2 -fno-strength-reduce -Wall -idirafter . $(DEFS)

# For gcc making a.out with a basically ELF compiler
# CFLAGS=-O2 -fno-strength-reduce -b i486-linuxaout -N -s -static

# Use BCC to make a tiny static a.out version.
CFLAGS=-O -3 -N -ansi
CC=bcc

OBJ=elks.o elks_sys.o elks_signal.o

elksemu:	$(OBJ)
		$(CC) $(CFLAGS) -o elksemu $(OBJ)

elks_sys.o:	call_tab.v
$(OBJ):		elks.h

call_tab.v:	dummy
	-cp -p ../libc/syscall/call_tab.v . 2>/dev/null
	-cp -p ../libc/syscall/defn_tab.v . 2>/dev/null

dummy:

# The kernel patch or module _requires_ this location.
install: elksemu
	install -d $(DIST)/usr/sbin
	install -s -o root -g root -m 4555 elksemu $(DIST)/usr/sbin/elksemu

clean:
	rm -f $(OBJ) elksemu call_tab.v defn_tab.v binfmt_elks.o

module: binfmt_elks.o

# HOW to compile the module...

# This matches my compile (2.0.0); yours may be different.
MODCFLAGS=-D__KERNEL__ -Wall -Wstrict-prototypes -O2 -fomit-frame-pointer \
          -fno-strength-reduce -pipe -m486 -DCPU=486 -DMODULE -DMODVERSIONS \
	  -include /usr/src/linux/include/linux/modversions.h -I/usr/src/linux/include

binfmt_elks.o:	binfmt_elks.c
	gcc -c $(MODCFLAGS) binfmt_elks.c

# This is another option
#MODCFLAGS=-O -fomit-frame-pointer -DCPU=386 -D__KERNEL__ -DMODULE
# Or this ...
#MODCFLAGS=-O -fomit-frame-pointer -D__KERNEL__ -DMODULE -DCONFIG_MODVERSIONS
