=== doc/examples/bison/mkparser/Makefile ===
all: testparse

CPPFLAGS = -DYYDEBUG -I.

TESTOBJS =  foo.o testparse.o
foo.h foo.c: foo.y
	bison -k foo.y
	mkparser foo
testparse: foo.h ${TESTOBJS}
	cc -o testparse ${TESTOBJS} -lcparser


clean: 
	rm -f \#* ,* *~ *.CKP *.BAK *.bas errs core
	rm -f *.ln *.o *.dog tags TAGS make.log
	rm -f *.do *.eh *.ih *.a *.fwm *.snf *.pcf *.rtx *.fb
	rm -f install.time install.doc
	rm -f testparse
	rm -f foo.c foo.h foo.act foo.tab.c
