=== doc/examples/qt1/examples/Makefile ===
####### This section is automatically generated from
#######    /home/users/heiko/d/Debian/Public/qt1/qt1-1.0/debian/tmp/usr/doc/examples/qt1/Makefile

INCDIR	=	/usr/X11R6/include/X11/qt
CFLAGS	=	-O2 -fno-strength-reduce -Wall -W
LFLAGS	=	-L/usr/X11R6/lib -lqt
CC	=	gcc
MOC	=	/usr/X11R6/bin/moc

####### End of automatically generated section
#
# $Source: /local/lib/cvs/qt/examples/Makefile,v $
#

####### Directories

SUBDIRS =	aclock          biff            connect         cursor        \
		dclock          desktop         drawdemo        forever       \
		hello           life            menu            picture       \
		qmag            showimg         tetris          tictac        \
		timestmp        widgets         xform           xshape

####### Targets

all: targets

targets:
	set -e; for i in $(SUBDIRS); do ( cd $$i ; $(MAKE) 'CFLAGS=$(CFLAGS)' 'LFLAGS=$(LFLAGS)' 'CC=$(CC)' ) ; done

# chaos on your screen :)
galore:
	for a in */* ; do [ -f $$a -a -x $$a ] && ( cd `dirname $$a` ; ./`basename $$a` & ) ; done

showdirs:
	@echo $(SUBDIRS)

showfiles:
	@echo README Makefile

depend:
	set -e; for i in $(SUBDIRS); do ( cd $$i ; $(MAKE) depend 'CFLAGS=$(CFLAGS)' ) ; done

clean:
	set -e; for i in $(SUBDIRS); do ( cd $$i ; $(MAKE) clean ) ; done
