=== doc/examples/qt1/tutorial/Makefile ===
####### This section is automatically generated from
#######    /home/users/heiko/d/Debian/Public/qt1/qt1-1.0/debian/tmp/usr/doc/examples/qt1/Makefile

INCDIR	=	/usr/X11R6/include/X11/qt
CFLAGS	=	-O2 -fno-strength-reduce -Wall -W
LFLAGS	=	-L/usr/X11R6/lib -lqt
CC	=	gcc
MOC	=	/usr/X11R6/bin/moc

####### End of automatically generated section
#
# $Source: /local/lib/cvs/qt/tutorial/Makefile,v $
#

####### Directories

SUBDIRS =	t1 t2 t3 t4 t5 t6 t7 t8 t9 t10 t11 t12 t13 t14

####### Targets

all: targets

targets:
	set -e; for i in $(SUBDIRS); do ( cd $$i ; $(MAKE) 'CC=$(CC)' 'CFLAGS=$(CFLAGS)' 'LFLAGS=$(LFLAGS)' ) ; done

showdirs:
	@echo $(SUBDIRS)

showfiles:
	@echo README Makefile

depend:
	set -e; for i in $(SUBDIRS); do ( cd $$i ; $(MAKE) depend ) ; done

clean:
	set -e; for i in $(SUBDIRS); do ( cd $$i ; $(MAKE) clean ) ; done
