=== src/modules/pcmcia-cs/debian/changelog ===
pcmcia-cs (2.8.22-1) unstable; urgency=low

  * New upstream source.
  * Moved /usr/doc/pcmcia-modules to /usr/doc/pcmcia-modules-<kernel
    version>.

 -- Brian Mays <brian@debian.org>  Thu, 12 Sep 1996 12:29:03 -0400

pcmcia-cs (2.8.21-2) unstable; urgency=low

  * Modified kdist_image target in debian/rules to clean the source tree
    (and remove old module files) before building the modules.
  * Fixed kdist target in debian/rules to work when KMAINT is not
    specified.

 -- Brian Mays <brian@debian.org>  Fri, 6 Sep 1996 13:50:29 -0400

pcmcia-cs (2.8.21-1) unstable; urgency=low

  * New upstream source.
  * First release with the new source format.
  * Split kernel modules into a seperate package.

 -- Brian Mays <brian@debian.org>  Sun, 25 Aug 1996 15:37:51 -0400

Local variables:
mode: debian-changelog
End:
