=== src/modules/pcmcia-cs/debian/control ===
Source: pcmcia-cs
Section: admin
Priority: extra
Maintainer: Brian Mays <brian@debian.org>
Standards-Version: 2.0.0.0

Package: pcmcia-cs
Architecture: i386
Depends: ${shlibs:Depends}, modules
Suggests: ${shlibs:Suggests}
Description: PCMCIA Card Services for Linux.
 PCMCIA cards are commonly used in laptops to provide expanded
 capabilities, such as modems, increased memory, etc.  Some desktop PCs
 can accept PCMCIA cards as well, although this is rare.
 .
 Card Services for Linux is a complete PCMCIA support package.  It
 includes a set of client drivers for specific cards, and a card
 manager daemon that can respond to card insertion and removal events,
 loading and unloading drivers on demand.  It supports ``hot swapping''
 of PCMCIA cards, so cards can be inserted and ejected at any time.
 .  
 The actual kernel modules required for this package are contained in
 the pcmcia-modules-<kernel version> package, where <kernel version> is
 the version of the kernel for which the modulues have been compiled.

Package: pcmcia-source
Architecture: i386
Replaces: pcmcia-cs-source
Description: PCMCIA Card Services source.
 This package provides the source code for the PCMCIA modules.  The
 kernel source is required to compile these modules.
